<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxMsgValidationcodeModelMapper">
	<resultMap id="BaseResultMap" type="com.iformall.domain.po.WxMsgValidationcodeModel">
		<id column="id" jdbcType="BIGINT" property="id" />
		<result column="name" jdbcType="VARCHAR" property="name" />
		<result column="signature" jdbcType="VARCHAR" property="signature" />
		<result column="content" jdbcType="VARCHAR" property="content" />
		<result column="createtime" jdbcType="TIMESTAMP" property="createtime" />
		<result column="status" jdbcType="INTEGER" property="status" />
		<result column="minutes" jdbcType="INTEGER" property="minutes" />
		<result column="model_id" jdbcType="INTEGER" property="modelId" />
		<result column="type" jdbcType="INTEGER" property="type" />
		<result column="tenant_id" jdbcType="VARCHAR" property="tenantId" />
		<result column="email_bg_img" property="emailBgImg" />
		<result column="open" property="open" />

		<result column="msg_type" property="msgType" />
		<result column="role_type" property="roleType" />
	</resultMap>
	
	<sql id="allColumns">
	    `id`,`name`,`signature`,`content`,`createtime`,`status`,`minutes`,`model_id`,`type`,`tenant_id`,email_bg_img,`open`,msg_type,role_type
	</sql>

	<sql id="dynamicWhereConditions">
	        where 1 = 1
		<if test=" null != id "> and `id` = #{id} </if>    
		<if test=" null != name "> and `name` = #{name} </if>    
		<if test=" null != signature "> and `signature` = #{signature} </if>    
		<if test=" null != content "> and `content` = #{content} </if>    
		<if test=" null != createtime "> and `createtime` = #{createtime} </if>    
		<if test=" null != status "> and `status` = #{status} </if>    
		<if test=" null != minutes "> and `minutes` = #{minutes} </if>    
		<if test=" null != modelId "> and `model_id` = #{modelId} </if>    
		<if test=" null != type "> and `type` = #{type} </if>
		<if test=" null != tenantId "> and `tenant_id` = #{tenantId} </if>
		<if test=" null != open "> and `open` = #{open} </if>
		<if test=" null != msgType "> and `msg_type` = #{msgType} </if>
		<if test=" null != roleType "> and `role_type` = #{roleType} </if>

		<if test=" null != ids ">
		 	and id in  
			<foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
			#{idItem}
			</foreach>
		</if>		
		<if test=" null != sortColumns"> order by ${sortColumns} </if>
	</sql>
	
	<select id="findList" parameterType="com.iformall.domain.po.WxMsgValidationcodeModel" resultMap="BaseResultMap">
		select <include refid="allColumns" /> from wx_msg_validationcode_model
		<include refid="dynamicWhereConditions" />
	</select>
	
	
	
	
	
	
</mapper>
